Description: Add option to disable building of demos
Forwarded: http://bugs.motifzone.net/show_bug.cgi?id=1575
Author: Graham Inggs <graham@nerve.org.za>
Last-Update: 2013-01-09
--- a/configure.ac
+++ b/configure.ac
@@ -311,7 +311,20 @@
 doc/man/man5/Makefile \
 tools/Makefile \
 tools/wml/Makefile \
-demos/Makefile \
+lib/Xm/xmstring.list \
+])
+
+AC_ARG_ENABLE(demos, [  --disable-demos
+                       Disable building demos])
+
+if test x$enable_demos = x
+then
+    enable_demos="yes"
+fi
+
+if test "$enable_demos" = "yes"
+then
+  AC_CONFIG_FILES([demos/Makefile
 demos/lib/Makefile \
 demos/lib/Xmd/Makefile \
 demos/lib/Wsm/Makefile \
@@ -395,6 +408,11 @@
 demos/doc/programGuide/ch17/Makefile \
 demos/doc/programGuide/ch17/simple_drop/Makefile \
 demos/doc/programGuide/ch17/simple_drag/Makefile \
-lib/Xm/xmstring.list \
-])
+  ])
+  MAYBE_DEMOS=demos
+else
+  MAYBE_DEMOS=
+fi
+AC_SUBST(MAYBE_DEMOS)
+
 AC_OUTPUT
--- a/Makefile.am
+++ b/Makefile.am
@@ -29,6 +29,7 @@
              tools \
              clients \
              doc \
-             demos
+             $(MAYBE_DEMOS)
+
 AUTOMAKE_OPTIONS = 1.4
 ACLOCAL_AMFLAGS = -I .
